﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tabulka
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int[,] a = new int [4, 10];

        private void button1_Click(object sender, EventArgs e)
        {
            int m = a.GetUpperBound(0) + 1;
            int n = a.GetUpperBound(1) + 1;

            for (int i = 0; i < Math.Min (m,n); i++)
                a[i, i] = 1;

            grid.ColumnCount = n;
            for (int i = 0; i < n; i++)
                grid.Columns[i].Width = 40;

            for (int i = 0; i < m; i++)
            {
                object[] p = new object [n];
                for (int j = 0; j < n; j++)
                    p[j] = "" + a[i, j];
                grid.Rows.Add(p);
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            // string s = grid.CurrentCell.Value + "";
            // string s = grid.CurrentCell.Value.ToString();
            object t = grid.CurrentCell.Value;
            if (t != null)
            {
                string s = t.ToString();
                s = s.Trim();
                // this.Text = s;
                try
                {
                    int q = Convert.ToInt32(s);
                    this.Text = "" + q;
                }
                catch (FormatException ex)
                {
                    this.Text = "chyba";
                }
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            int m = a.GetUpperBound(0) + 1;
            int n = a.GetUpperBound(1) + 1;

            for (int i = 0; i < m; i++)
                for (int j = 0; j < n; j++)
                    grid.Rows[i].Cells[j].Value = "" + a[i, j];
        }

        private void button4_Click(object sender, EventArgs e)
        {
            int m = a.GetUpperBound(0) + 1;
            int n = a.GetUpperBound(1) + 1;

            for (int i = 0; i < m; i++)
            {
                string s = "";
                for (int j = 0; j < n; j++)
                {
                    s = s + a[i, j];
                    if (j < n - 1) s = s + ",";
                }
                s = "(" + s + ")";
                textBox1.AppendText(s + "\n");
            }
        }
    }
}
